SND_CTL_REMOVE(9)

NAME
snd_ctl_remove - remove the control from the card and release it

SYNOPSIS

int snd_ctl_remove(struct snd_card * card, struct snd_kcontrol * kcontrol);

ARGUMENTS

card
    the card instance

kcontrol
    the control instance to remove

DESCRIPTION

Removes the control from the card and then releases the instance. You don't need to call snd_ctl_free_one. You must be in the write lock - down_write(card->controls_rwsem).

RETURN

0 if successful, or a negative error code on failure.

COPYRIGHT